You are not logged in.
Your images might get removed for being too big... Looks nice though
Next time please report things like that. Sometimes mods may miss things when browsing the forums but reports are never missed.
aur S & M :: forum rules :: Community Ethos
Resources for Women, POC, LGBT*, and allies
Offline
xonecas wrote:This is my first time playing with awesome.
The theme is redhalo modified a little.
I found the colors somewhere, I forget now.
The vim colorscheme I put together for these term colors.What is that IDE? (Not entirely sure it's vim, if it is how did you manage to make it look so pretty?)
Also what is the font in the IDE? Looks beautiful.Thanks in advance!
The font is the same all over, its Terminus pixel size 8 with no anti-alias.
That is vim, inside uxrvt, using the NERDTree plugin. The colorscheme I put together to match the colors I use in urxvt. you can find it here: https://github.com/xonecas/night-lights
Offline
Offline
SuNjACk wrote:TheImmortalPhoenix wrote:Beautiful as always (evenif i don't like font in the top bar )...
Question: how did you get song info in the last column in the right??
Ranger use a script (scope.sh) for the previews, the script uses mediainfo to get infos from multimedia files.
can you share this script please?
With ranger 1.5 you can find this script in /usr/lib/python3.2/site-packages/ranger/data/scope.sh
I just modified a little for the colors
i#!/bin/bash
# ranger supports enhanced previews. If the option "use_preview_script"
# is set to True (by default it's False), this script will be called
# and its output is displayed in ranger. ANSI color codes are supported.
# NOTES: This script is considered a configuration file. If you upgrade
# ranger, it will be left untouched. (You must update it yourself.)
# Also, ranger disables STDIN here, so interactive scripts won't work properly
# Meanings of exit codes:
# code | meaning | action of ranger
# -----+------------+-------------------------------------------
# 0 | success | success. display stdout as preview
# 1 | no preview | failure. display no preview at all
# 2 | plain text | display the plain content of the file
# 3 | fix width | success. Don't reload when width changes
# 4 | fix height | success. Don't reload when height changes
# 5 | fix both | success. Don't ever reload
# Meaningful aliases for arguments:
path="$1" # Full path of the selected file
width="$2" # Width of the preview pane (number of fitting characters)
height="$3" # Height of the preview pane (number of fitting characters)
maxln=200 # Stop after $maxln lines. Can be used like ls | head -n $maxln
# Find out something about the file:
mimetype=$(file --mime-type -Lb "$path")
extension=$(echo "$path" | grep '\.' | grep -o '[^.]\+$')
# Functions:
# "have $1" succeeds if $1 is an existing command/installed program
function have { type -P "$1" > /dev/null; }
# "success" returns the exit code of the first program in the last pipe chain
function success { test ${PIPESTATUS[0]} = 0; }
case "$extension" in
# Archive extensions:
7z|a|ace|alz|arc|arj|bz|bz2|cab|cpio|deb|gz|jar|lha|lz|lzh|lzma|lzo|\
rar|rpm|rz|t7z|tar|tbz|tbz2|tgz|tlz|txz|tZ|tzo|war|xpi|xz|Z|zip)
als "$path" | head -n $maxln
success && exit 0 || acat "$path" | head -n $maxln && exit 3
exit 1;;
# PDF documents:
pdf)
pdftotext -l 10 -nopgbrk -q "$path" - | head -n $maxln | fmt -s -w $width
success && exit 0 || exit 1;;
# BitTorrent Files
torrent)
transmission-show "$path" | head -n $maxln && exit 3
success && exit 5 || exit 1;;
# HTML Pages:
htm|html|xhtml)
have w3m && w3m -dump "$path" | head -n $maxln | fmt -s -w $width && exit 4
have lynx && lynx -dump "$path" | head -n $maxln | fmt -s -w $width && exit 4
have elinks && elinks -dump "$path" | head -n $maxln | fmt -s -w $width && exit 4
;; # fall back to highlight/cat if theres no lynx/elinks
esac
case "$mimetype" in
# Syntax highlight for text files:
text/* | */xml)
highlight --out-format=ansi "$path" | head -n $maxln
success && exit 5 || exit 2;;
# Ascii-previews of images:
# image/*)
# img2txt --gamma=0.6 --width="$width" "$path" && exit 4 || exit 1;;
# Display information about media files:
video/* | audio/* | application/octet-stream)
# Use sed to remove spaces so the output fits into the narrow window
#mediainfo "$path" | sed 's/ \+:/: /;'
mediainfo "$path" | sed 's/ \+:/: /; s/\(.*:\)/'"$(printf "\e[34m")"'\1'"$(printf "\e[0m")"'/'
success && exit 5 || exit 1;;
esac
exit 1
Offline
@Saint0fCloud: Really cool! Can you share wall please? And what is the program in the left corner showing memory (i suppose)?
Offline
@Saint0fCloud: Really cool! Can you share wall please? And what is the program in the left corner showing memory (i suppose)?
says "ttyload", that may be it
Offline
Cool!
Wich Wm is that? And did you get ncmpcpp (it's ncmpcpp that right?) to look like that?
Offline
@Saint0fCloud: Really cool! Can you share wall please? And what is the program in the left corner showing memory (i suppose)?
Sure thing, wallpaper http://customize.org/wallpapers/53658
And that program is indeed ttyload and it shows load averages
Cool!
Wich Wm is that? And did you get ncmpcpp (it's ncmpcpp that right?) to look like that?
Well we are in the awesome wm thread and yes it's ncmpcpp-git with lock screen and stereo visualization support
Offline
Hey there!
after some tedious days of making a new awesome config I'd say it's in a shape that I'm happy to share here. It was actually done on my dual-screen workstation but I figured it would produce too large screenshots. So I copied the same config over to my old subnotebook then added, removed and modified some widgets for the usage of just 1 screen. Long story short... here it is :
Not to forget some credits: the theme is heavily inspired by some beautiful themes from Him and some widgets are adapted from ANOKNUSA's Sweet Tears theme.
Last edited by MONVMENTVM (2011-11-14 00:53:35)
Offline
@MONVMENTVM: Very nice! I love your theme. Clean and peaceful.
Mind sharing wallpaper and configs ?
configs files on github -- keep up the good work, arch devs
Offline
@MONVMENTVM: Very nice! I love your theme. Clean and peaceful.
Mind sharing wallpaper and configs ?
sure . as you can see in the november screenshots thread I've made some minor changes:
* the purple in the active fonts and the icons is more vibrant. It was ok on my desktop with IPS panels but on the subnotebook it was just too washed out.
* rearranged some spaces between widgets
so check which theme fits your screen best... theme2.lua has the old colors and theme3.lua the new, slightly more saturated purple.
and since then I've also changed:
* progressbars are using gradient colors now and are thinner
* mpd widget layout
* separated the network widget in one for up- and one for download speeds and added fixed width because I didn't like the fact that widgets got moved all the time due to network widget varying in width all the time.
(TODO: Maybe change numbers format to avoid the ugly spaces when there is not much going on on the network)
Files:
http://www.2shared.com/file/tIsXMIvP/bl … metar.html
this contains the rc.lua, themes, icons and 2 slightly modified awful libs (see readme).
Wallpaper:
http://wallbase.cc/wallpaper/859225
have fun!
Edit:
Another tiny optical change:
Setting cpubar:set_gradient_colors({ "#5fa496", "#878bff" }) to cpubar:set_gradient_colors({ "#5fa496", "#5fa496", "#5fa496", "#6568BF" }) makes the bar turn purple much later than before (just when the CPU is really busy).
Don't forget to do the same with cpubar2 if you have 2 cores and membar if you are using the memory widget.
Edit2:
I moved the colors to the theme files to keep the rc.lua modular. But don't worry about all the updates, I've reuploaded the new configs and updated the download link above!
Last edited by MONVMENTVM (2011-11-15 17:58:23)
Offline
Thanks a lot!
configs files on github -- keep up the good work, arch devs
Offline
I made some big changes in the widget department and I wished they were the last but unfortunately there's still one more thing that bugs me a lot (maybe someone can help):
* battery icon changes depending on percentage and if its recharging
* added wifi widget and its icon also changes depending on the signal strength. Plus: if you press it, it launches wicd or whichever network manager you use.
* the network up/down speed and cpu frequency widget have formatted strings and fixed widths (i.e 019 kB/s or 2.0 GHz) and if for example network speed exceeds 999 kB/s it automatically switches to xx.x MB/s
* almost every widget uses fixed widths now so they don't move around all the time when values change (this was awful)
* the bracket separators isolate the widgets optically better
* the mpd widget grows depending on the song length from left towards the pacman widget. As you can also see if the title exceeds the allowed length it gets cut (I added a lot of 'x' to the id3 tag to demonstrate that).
Well and this last point is the problem here... I don't want the mpd widget to grow too much and mix up with the other widgets. My solution works fine unless I don't use a monospaced font for it, because I cut the title after a specific amount of characters. Isn't it possible somehow to cut the string depending on the widget width?
Offline
* almost every widget uses fixed widths now so they don't move around all the time when values change (this was awful)
I would disagree about awful. If it changes it adds dynamic to my desktop, and I also know something is happening with the corner of my eye. But everyone has his preferences...
Isn't it possible somehow to cut the string depending on the widget width?
Set a fixed width on your widget and awful will cut it for you, and append "..." for you automatically. Read the API documentation in your /usr/share/doc/awesome about width property.
Edit: have a question for you which I often wonder about, how come your tag icons don't follow the pattern of playing dice?
Last edited by anrxc (2011-11-17 01:14:17)
You need to install an RTFM interface.
Offline
* almost every widget uses fixed widths now so they don't move around all the time when values change (this was awful)
I would disagree about awful. If it changes it adds dynamic to my desktop, and I also know something is happening with the corner of my eye. But everyone has his preferences...
Isn't it possible somehow to cut the string depending on the widget width?
Set a fixed width on your widget and awful will cut it for you, and append "..." for you automatically. Read the API documentation in your /usr/share/doc/awesome about width property.
Edit: have a question for you which I often wonder about, how come your tag icons don't follow the pattern of playing dice?
Yes true you can see that something is happening, but when the network widget is changing every single second and this makes all your widgets move around than it's somehow annoying. Especially if things move around just because of things like temperature jumps from 51 to 52 degrees or something like that and you don't have monospaced fonts . But I'm thinking about implementing some warning levels when things are happening to change font colors or something like that. For example to make the temperature widget red when temperature rises above a certain degree.
About the string cutting... in my case it doesn't cut but gives me word wrapping. I tried to disable it but in the documentation I've only found ways to choose between word, char and word_char wrapping, which work fine btw. But I don't know how to switch from word wrapping to just cutting off. It would be perfect!
Btw. the tag icons were some random symbols at first. Later I changed them to Braille characters which somehow look quite alien-like as a normal font (hence the blind-alien name btw. ). Then I realized I could make the dots count from 1 - 6 which I think is just cool...
Last edited by MONVMENTVM (2011-11-17 01:36:35)
Offline
the tag icons were some random symbols at first. Later I changed them to Braille characters which somehow look quite alien-like as a normal font (hence the blind-alien name btw. ). Then I realized I could make the dots count from 1 - 6 which I think is just cool...
I suppose it's also helpful when blind people use your computer.
*crickets chirping*
Offline
Offline
@anrxc: I've found the culprit of why I had word wrapping instead of just cutting off the strings of text boxes with fixed width. It seems that awesome cuts the string off only in case that the wibox is LESS than half the font size. The snap font has the size of 10, my wibox had a height of 20 before so it had just enough room for 2 lines of text. I still would wish that the wrap property had an "off" option too but by making my wiboxes 10% thinner I managed to get happy with the MPD widget and cutting of song titles that are too long.
============
Besides fixing the MPD widget I also included some new features and would consider this config as "final" now... at least I really don't wanna work on it anymore. I'm already dreaming of coding at night and that's a sign I should probably stop with it now. Besides I'm really happy with it and when I should get bored I'll come back here with new color schemes.
So what's new?
* MPD widget doesn't show the state in front of the artist anymore but instead swaps the "Play" and "Pause" button depending on the state (common behavior of most multimedia apps). That was actually planned from the beginning and showing the state as a string was just a temporary solution.
* The pacman update widget just got waaay cooler. As it was before it checks for updates automatically in time intervals or specifically when you click the pacman button. The cool thing is the new "ghost" icon I've made, which stays gray as long as there are no updates available but becomes green if there are. Now you can click this green ghost button which then spawns a terminal with "yaourt -Su" or "sudo pacman -Su" whichever you prefer. Pretty funny to look at and really useful too.
You can see the new MPD and pacman widget behaviour in these 2 screens:
Last edited by MONVMENTVM (2011-11-18 17:18:52)
Offline
This is really nice!
Do you think that you could share your updated .Xdefaults, rc.lua and other relevant theme files? You might consider using git or dropbox so that you don't have to update the share link more than once.
Last edited by kveras (2011-11-19 13:15:19)
Offline
MONVMENTVM wrote:This is really nice!
Do you think that you could share your updated .Xdefaults, rc.lua and other relevant theme files? You might consider using git or dropbox so that you don't have to update the share link more than once.
Thanks! So here it is:
http://www.2shared.com/file/-PeZC51w/bl … metar.html
It took a bit longer because I had to clean up the config a little. There are also some general configuration variables for the widgets (like network and wifi adapter, # of cpu cores...) at the top of rc.lua, where you can also enable/disable them as it's easier than having to comment them out all the time.
Edit: Oh yeah for the pacman widget to actually update the package list you also have to modify /usr/share/awesome/lib/vicious/widgets/pkg.lua. Change "pacman -Sup" to "sudo pacman -Syup". Of course you can change sudo to kdesu or insert "urxvt -e" before to launch a terminal for password input.
As the output will be bigger due to the repositories being checked you also have to change sub = 2 to sub = 6 depending on how many repos you have. Just run the command itself in a shell and count the lines.
Last edited by MONVMENTVM (2011-11-20 15:17:48)
Offline
Thanks a lot! Really appreciate it!
I changed up the colors a bit, and removed some of the widgets that did not work well with my setup.
rc.lua: http://db.tt/eEHULmva
theme.lua: http://db.tt/WGet8PSe
Offline
Edit: Oh yeah for the pacman widget to actually update the package list you also have to modify /usr/share/awesome/lib/vicious/widgets/pkg.lua. Change "pacman -Sup" to "sudo pacman -Syup". Of course you can change sudo to kdesu or insert "urxvt -e" before to launch a terminal for password input.
As the output will be bigger due to the repositories being checked you also have to change sub = 2 to sub = 6 depending on how many repos you have. Just run the command itself in a shell and count the lines.
Actually, I only get "error: target not found" when I use that function, no matter how I write the command (with or without sudo).
Offline
MONVMENTVM wrote:Edit: Oh yeah for the pacman widget to actually update the package list you also have to modify /usr/share/awesome/lib/vicious/widgets/pkg.lua. Change "pacman -Sup" to "sudo pacman -Syup". Of course you can change sudo to kdesu or insert "urxvt -e" before to launch a terminal for password input.
As the output will be bigger due to the repositories being checked you also have to change sub = 2 to sub = 6 depending on how many repos you have. Just run the command itself in a shell and count the lines.Actually, I only get "error: target not found" when I use that function, no matter how I write the command (with or without sudo).
What happens if you execute it in your shell? If it works there it should also work in the widget.
Edit: Checked the rc.lua and somehow I used "Arch" instead of "Arch S" as the parameter for the pacman widget. I don't know why I did that but it was supposed to be "Arch S" (check line 219 in rc.lua).
The relevant part in /usr/share/awesome/lib/vicious/widgets/pkg.lua looks like this for me:
["Arch"] = { cmd = "pacman -Qu" },
["Arch S"] = { cmd = "yes | sudo pacman -Syup", sub = 7 },
Of course by using "Arch" it actually never updated the package list automatically.
Edit 2: Of course you can also use "Arch" if you prefer not to update your package list automatically. You can still do it manually by pressing the pacman button itself for example and the widget will still show if there are updates available or not. Also don't forget to edit the variables "pacUpdate" and "pacUpgrade" at the top of the rc.lua file. These are the commands that are launched by the pacman and ghost button respectively.
Last edited by MONVMENTVM (2011-11-21 18:44:34)
Offline
Mine:
http://img.removedfromgame.com/imgs/awesome_wm.png
(Disregard the laptop name being "davidbuntu")
My desktop is not very tweaked yet, it's the default with some changes. In fact, I can't make transparency work, and that's one of the things that annoys me currently.
Last edited by ephan (2011-11-21 20:38:10)
Offline